Bug 76154 - Allow cyrus-sasl2 & postfix users to use Berkeley DB 4.3
Summary: Allow cyrus-sasl2 & postfix users to use Berkeley DB 4.3
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-01-12 17:01 UTC by Sunpoet Po-Chuan Hsieh
Modified: 2005-03-05 07:54 UTC (History)
0 users

See Also:


Attachments
file.diff (692 bytes, patch)
2005-01-12 17:01 UTC, Sunpoet Po-Chuan Hsieh
no flags Details | Diff
file.diff (681 bytes, patch)
2005-01-12 17:01 UTC, Sunpoet Po-Chuan Hsieh
no flags Details | Diff
file.diff (2.78 KB, patch)
2005-01-12 17:01 UTC, Sunpoet Po-Chuan Hsieh
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Sunpoet Po-Chuan Hsieh 2005-01-12 17:01:00 UTC
Allow cyrus-sasl2 & postfix users to use Berkeley DB 4.3

Fix: Apply these patches.

% diff -u /usr/ports/security/cyrus-sasl2/Makefile.orig /usr/ports/security/cyrus-sasl2/Makefile
% diff -u /usr/ports/security/cyrus-sasl2-saslauthd/Makefile.orig /usr/ports/security/cyrus-sasl2-saslauthd/Makefile
% diff -u /usr/ports/mail/postfix/scripts/configure.postfix.orig /usr/ports/mail/postfix/scripts/configure.postfix
Comment 1 Mark Linimon freebsd_committer freebsd_triage 2005-01-14 20:25:06 UTC
Responsible Changed
From-To: freebsd-ports-bugs->ume

Over to the maintainer of two of the three ports listed herein. 

To the submitter: including patches for multiple ports in the same 
PR creates a sort of dilemma for us as we try to figure out who to 
hand the PR off to.  If, in the future, you could separate them 
somewhat (e.g. by maintainer), this would make things easier.  Also, 
Cc:ing the maintainers would also be helpful. 

http://www.freebsd.org/cgi/query-pr.cgi?pr=76154 

Adding to audit trail from misfiled PR ports/76255:

Date: Sat, 15 Jan 2005 05:47:13 +0900
Comment 2 Mikhail Teterin 2005-02-05 00:25:49 UTC
Yes, both cyrus-sasl and cyrus-imap22 both work, when "forced to" compile with 
db4.3.

Very little forcing is needed, especially for the cyrus-imap22, which was more 
recently released.

But the db-backends CAN NOT be mixed -- imap must use the same one, that sasl 
is using.

	-mi
Comment 3 Hajimu UMEMOTO freebsd_committer 2005-02-23 21:19:19 UTC
Responsible Changed
From-To: ume->ports

Thanks!  I've just committed cyrus-sasl2 part. 
However, I'm not using postfix.  So, please someone take care 
of the rest.
Comment 4 Mark Linimon freebsd_committer freebsd_triage 2005-02-28 17:00:08 UTC
Responsible Changed
From-To: ports->freebsd-ports-bugs

Canonicalize assignment.
Comment 5 Sergey Matveychuk freebsd_committer 2005-03-05 07:54:31 UTC
State Changed
From-To: open->closed

Committed, thanks!